<?php
#######################################
## (inv) Awards #######################
#######################################
## Author:  Alec Carpenter
## Website: http://www.invisionenvy.com
#######################################
##                                ADMIN
## Module:  AJAX
## Section: PERMS
#######################################
## VERSION: 2.2.2
#######################################

if (!defined('IN_ACP'))
{
	print "<h1>Incorrect access</h1>You cannot access this file directly. If you have recently upgraded, make sure you upgraded all the relevant files.";
	exit();
}

class admin_awards_ajax_perms extends ipsAjaxCommand
{
	public function doExecute(ipsRegistry $registry)
	{
		$field = 'g_can_' . $this->request['which'] . '_awards';
		
		$this->DB->update('groups', array($field => $_POST['newperm']), 'g_id = ' . $this->request['gid']);
		
		$this->DB->build(array(
							   'select' => '*',
							   'from'   => 'groups',
							   'where'  => 'g_id = ' . $this->request['gid'],
		));
		
		$this->DB->execute();
		$g = $this->DB->fetch();
		
		if($g[$field] == $_POST['newperm'])
		{
			$this->cache->rebuildCache('group_cache', 'global');
			
			$this->returnHTML('OkGo');
		}
		else
		{
			$this->returnHTML('error');
		}
	}
}
?>