<?php

if(!defined('IN_IPB'))
{
	print "<h1>Incorrect access</h1>You cannot access this file directly. If you have recently upgraded, make sure you upgraded all the relevant files.";
	exit();
}

class admin_awards_functions extends class_awards
{
	public function awardsMenu($name="", $selected="")
	{
		if(!$name)
		{
			$name = "award";
		}
		
		# Get the awards
		$this->DB->build(array(
								'select' => '*',
								'from'   => 'inv_awards',
		));
		
		$this->DB->execute();
		
		# Are there any awards
		if($this->DB->getTotalRows())
		{
			$hasSel = 0;
			
			while($a = $this->DB->fetch())
			{
				if($selected == $a['id'])
				{
					$sel    = " selected";
					$hasSel = 1;
				}
					
				$options .= "<option value='{$a['id']}'{$sel}>{$a['name']}</option>";
				
				unset($sel);
			}
			
			if(!$hasSel)
			{
				$defSel = " selected";
			}
			
			return "
			<select name='{$name}' id='{$name}'>
			  <option{$defSel} disabled>Choose an Award</option>
			  {$options}
			</select>";
		}
		else
		{
			return FALSE;
		}
	}
	
	public function giveAward($aid, $mid, $reason="")
	{
		# Update the user's awards
		$INSERT = array(
						'award_id'   => $aid,
						'user_id'    => $mid,
						'awarded_by' => $this->memberData['member_id'],
						'notes'      => $reason,
						'date'       => time(),
		);
		
		$this->DB->insert('inv_awards_awarded', $INSERT);
	}
}
?>