<?php
class auto_award_byPosts
{
	function __construct($reg)
	{
		$this->registry   =  $reg;
		$this->settings   =& $this->registry->fetchSettings();
		$this->DB         =  $this->registry->DB();
	}
	
	public function config()
	{
		$CONFIG['name_human'] = "Post Count";
		$CONFIG['name_cpu']   = "byPosts";
		$CONFIG['auth']       = "Alec Carpenter";
		$CONFIG['web']        = "http://www.invisionenvy.com/";
		
		$opts[] = array('a', 'Testing A');
		$opts[] = array('b', 'Testing B');
		
		$CONFIG['data'] = array( # LABEL FOR FIELD                   DESCRIPTION FOR FIELD                                     FIELD TYPE    FIELD NAME     IS REQUIRED        EXTRA (If this is a drop menu)
								'Number of Posts Required' => array('How many posts must the user have to get this award?',     'text',      'num_posts',        1,                      NULL),
								);
		
		return $CONFIG;
	}
	
	public function run($process, $data)
	{
		$userid = $data['author_id'];
		$m      = IPSMember::load($userid);
		$posts  = $m['posts'];
		
		foreach($process as $id => $i)
		{
			$postsNeeded = $i['data']['num_posts'] - 1;
			
			if($posts >= $postsNeeded)
			{
				$this->registry->getClass('class_awards')->doAutoAward($id, $userid, 0);
			}
		}
	}
}
?>