<?php
#######################################
## (inv) Awards #######################
#######################################
## Author:  Alec Carpenter
## Website: http://www.invisionenvy.com
#######################################
## EXTENSIONS
## PROFILE TABS
## FILE TO RUN
#######################################
## VERSION: 2.2.2
#######################################

if (!defined('IN_IPB'))
{
	print "<h1>Incorrect access</h1>You cannot access this file directly. If you have recently upgraded, make sure you upgraded all the relevant files.";
	exit();
}

class profile_awards extends profile_plugin_parent
{
	public function return_html_block($member=array()) 
	{
		# language!
		$this->registry->class_localization->loadLanguageFile(array("public_awards"), "awards");
		
		# variables!
		$content = "";
		
		# Get the awards!
		$this->DB->build(array(
							   'select'   => 'aa.*',
							   'from'     => array('inv_awards_awarded' => 'aa'),
							   'add_join' => array(
							   					   0 => array(
												   			  'select' => 'a.*',
												 			  'from'   => array('inv_awards' => 'a'),
												  			  'where'  => 'a.id = aa.award_id',
														),
							   ),
							   'where'    => 'user_id = ' . $member['member_id'] . ' && `is_active` = "1"',
							   'order'    => 'date ASC',
		));
		
		$getAwards = $this->DB->execute();
		
		if($this->DB->getTotalRows($getAwards))
		{
			$ct = 0;
			while($a = $this->DB->fetch($getAwards))
			{
				if($ct&1)
				{
					$num = 1;
				}
				else
				{
					$num = 2;
				}
				
				#$a['date'] = gmdate($this->setting['time_use_relative_format'], $a['date'] + $this->registry->class_localization->getTimeOffset());
				$a['date'] = $this->registry->getClass('class_localization')->getDate($a['date'], 'RELATIVE');
				
				if($a['awarded_by'])
				{
					$md            = IPSMember::load($a['awarded_by']);
					$a['given_by'] = IPSMember::makeProfileLink($md['members_display_name'], $md['member_id'], $md['members_seo_title']);
				}
				
				if(($a['awarded_by'] == $this->memberData['member_id'] && $this->memberData['g_can_remove_awards']) || ($a['awarded_by'] != $this->memberData['member_id'] && !$this->settings['awds_restricted_removing']) || $this->memberData['g_access_cp'])
				{
					$a['remove_option'] = "<a href='{$this->settings['base_url']}app=awards&DO=remove&id={$a['row_id']}'>{$this->lang->words['remove_award']}</a>";
				}
				
				$show = 0;
				
				if($a['approved'])
				{
					$show = 1;
				}
				elseif(!$a['approved'] && $this->memberData['member_id'] == $a['awarded_by'])
				{
					$show               = 1;
					$a['remove_option'] = "<em>{$this->lang->words['pending_approval']}</em>";
				}
				
				if($show)
				{
					$rows .= $this->registry->getClass('output')->getTemplate('awards')->profile_award_row($a, $this->settings['upload_url']);
				}
				
				$ct++;
			}
			
			$content = $this->registry->getClass('output')->getTemplate('awards')->profile_awards_block($rows);
		}
		
		return $content ? $content : $this->registry->getClass('output')->getTemplate('profile')->tabNoContent('error_no_awards');
	}
}
?>