<?php
#######################################
## (inv) Awards #######################
#######################################
## Author:  Alec Carpenter
## Website: http://www.invisionenvy.com
#######################################
##                                ADMIN
## Module:  AJAX
## Section: MANAGE
#######################################
## VERSION: 2.2.0
#######################################

if (!defined('IN_ACP'))
{
	print "<h1>Incorrect access</h1>You cannot access this file directly. If you have recently upgraded, make sure you upgraded all the relevant files.";
	exit();
}

class admin_awards_ajax_manage extends ipsAjaxCommand
{
	public function doExecute(ipsRegistry $registry)
	{
		switch($this->request['do'])
		{
			case "addCategory":
				$this->addCategory();
				break;
			case "alterCatName":
				$this->alterCatName();
				break;
			case "order":
				$this->order();
				break;
			case "visibility":
				$this->visibility();
				break;
			default:
				$this->returnHTML(0);
				break;
		}
	}
	
	private function addCategory()
	{
		$this->DB->insert('inv_awards_cats', array(
													'title' => $_POST['name'],
		));
		
		# Get awards to show
		$this->DB->build(array(
								'select'   => '*',
								'from'     => 'inv_awards_cats',
								'where'    => 'title = "' . $_POST['name'] . '"',
		));
			
		$this->DB->execute();
			
		if($this->DB->getTotalRows())
		{
			$this->returnHTML(1);
		}
		else
		{
			$this->returnHTML(0);
		}
	}
		
	private function alterCatName()
	{
		if($_POST['catName'] && $_POST['cat'])
		{
			$this->DB->update('inv_awards_cats', array('title' => $_POST['catName']), '`cat_id` = "' . $_POST['cat'] . '"');
			
			$this->returnHTML(1);
		}
		else
		{
			$this->returnHTML(0);
		}
	}
	
	private function order()
	{
		if($this->request['for'] == "cats")
		{
			foreach($_POST['cats'] as $num => $id)
			{
				$num++;
				$this->DB->update('inv_awards_cats', array('placement' => $num), "cat_id = '" . $id . "'");
			}
		}
		elseif($this->request['for'] == "awds")
		{
			foreach($_POST['awds'] as $num => $id)
			{
				$num++;
				$this->DB->update('inv_awards', array('placement' => $num), "id = '" . $id . "' && parent= '" . $this->request['cat'] . "'");
			}
		}
	}
	
	private function visibility()
	{
		if($this->request['for'] == "cats")
		{
			$this->DB->update('inv_awards_cats', array('visible' => $_POST['status']), "cat_id = '" . $this->request['cat_id'] . "'");
			
			$this->returnHTML(1);
		}
		elseif($this->request['for'] == "awards")
		{
			$this->DB->update('inv_awards', array('visible' => $_POST['status']), "id = '" . $this->request['id'] . "'");
			
			$this->returnHTML(1);
		}
	}
}
?>